﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define l= Character("Lewis", color="#343E3D")
define r= Character ("Me", color="#666370")
define e= Character ("Ella", color="#74526C")
define u= Character ("???", color="#74526c")
define u2= Character ("???", color="#343E3D")
define t1= Character ("Teacher", color="#774C60")
define t2= Character ("Teacher")
define u3= Character ("???", color="#C1B098")
define h= Character ("Harper", color="#C1B098")
define u4= Character ("???", color="#395993")
define v= Character ("Valarie", color="#395993")
define er= Character ("Eryn", color="#774C60")
image ella happy = "c_happy_by_canarycharm-d9dbfd7"
image ella shocked = "c_shock_by_canarycharm-d9dbfbu"
image ella netural = "c_smile_by_canarycharm-d9dbfbj"
image ella sad = "c_sad_by_canarycharm-d9dbfch"
image ella sad talk = "c_sad_talk_by_canarycharm-d9dbfc5"
image lewis netural = "ren_neutral_by_canarycharm-d9d8tt5"
image lewis smirk = "ren_smirk_by_canarycharm-d9d8trp"
image bg school corridor = "501d192087b32644f46cfeb1c1dfbcda"
image lewis shocked blush = "ren_shock_blush_by_canarycharm-d9d8tsh"
image lewis shocked = "ren_shock_by_canarycharm-d9d8tsq"
image bg classroom = "c61a25355eafcac50863964daec4da60"
image lewis laugh = "ren_laugh_by_canarycharm-d9d8tt8"
image harper smile = "smile"
image harper angry = "angry"
image harper realisation = "ohh"
image bg forest 1 = "fantasy_forrest2_by_konett-d839ieb"
image lewis angry = "ren_angry_by_canarycharm-d9d8ttf"
image harper shocked = "shocked"
image harper wtf = "wtf"
image harper surprised = "surprised"
image harper sad = "sad"
image bg pretty = "cover"
image bg pretty2 = "cover1"
image valarie happy = "4ec7e78ee85d6f3f0052"
image valarie shocked = "b4d64550c049e87ab953"
image bg black = "black"


# The game starts here.

label start:
    
    ## Act One

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    scene bg school corridor

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    show ella happy at center
    
    # The phrase in the brackets is the text that the game will display to prompt 
    # the player to enter the name they've chosen.

    $ player_name = renpy.input("What is your name? (Keep in mind you're playing a female)")

    $ player_name = player_name.strip()
    # The .strip() instruction removes any extra spaces the player 
    # may have typed by accident.

    #  If the player can't be bothered to choose a name, then we
    #  choose a suitable one for them:
    if player_name == "":
        $ player_name="Rosa"

    # These display lines of dialogue.

    u "Hello, and welcome to Croftfall Academy! I'm part of the welcoming committe."

    r "That exsists?"
    
    show lewis netural at right
    
    u2 "No, it's something she started herself."
    
    show ella shocked at center
    
    u "Lewis!"
    
    show lewis smirk at right
    
    l "It's true though."
    
    "I watched as the two students, Lewis and someone else, argued."
    
    r "I'm still here, you know."
    
    "I awkwardly clear my throat as I speak."
    
    show ella happy at center
    
    e "Oh right, sorry. I'm Ella and as you can probably tell, this here is Lewis."
    
    show lewis netural at right
    
    l "Yup, that's me."
    
    "I ignored his remark which made no sense and looked down at my timetable."
    
    "It said that I had a class on how to control your powers."
    
    "Ella glanced over at me and saw my timetable."
    
    e "What are your powers?"
    
    l "Yeah, I'd like to know what yours are, besides from looking cute."
    
    menu:
        
        "I don't know yet":
            
         jump honest
        
        "Lie":
            
         jump lie
        
    label honest:
            
            r "I honestly have no idea yet. Oh, and please don't call me cute."
            
            jump classroom1
            
    label lie:
                
            r "Oh, um. I have... Fire powers? And I'm not cute."
                
            jump liedtoo1
                
    label classroom1:
        
    show lewis shocked at right
       
    l "Temper, temper."
    
    e "I have the next class with you anyway, so let's get going."
       
    scene bg classroom
    with fade
    
    jump truepath1
    
    label liedtoo1:
        
        show lewis shocked at right
        
        l "No one's ever said that to me before, you better watch it."
        
        show ella shocked at center
        
        e "That's no way to speak to a new student!"
        
        r "I don't mind it that much."
        
        show ella happy at center
        
        e "So you say you have fire powers?"
        
        r "Yeah."
        
        e "You didn't seem too sure on your answer there. Can I see a demonstartion?"
        
        r "N-not now, after my class, maybe."
        
        show lewis netural at right
        
        l "Luckily for you, I'm taking the same class. Let's go."
        
        jump falsepath1
        
    label truepath1:
        
        "After entering the classroom and sitting in the only available seat, the class began."
        
        "It was boring at first, the teacher was only going over the basics of powers, as well as trying to discover your own power."
        
        "Truthfully, I hadn't been paying much attention."
        
        "But then I was picked on to answer the question."
        
        t1 "Were you listening? I said, how do you control your powers?"
        
    menu:
        
        "Say some random knowledge":
            
          jump correct1
        
        "Say something unrelated and hope the teacher doesn't notice":
            
          jump wrong1
        
        "Attempt to be funny":
            
          jump funny1
        
    label correct1:
        
        r "You have to stay calm and control your temper while maintaining a balanced mind."
        
        t1 "Well done, that is correct."
        
        "I was pretty suprised at me getting the correct answer, I had just been repeating something other people used to say around me."
        
        "After that, I caught Ella's eye and we grinned at each other."
        
        "The teacher kept picking on me, so I made sure to pay full attention to the class."
        
        "I even started making notes!"
        
        "I was happy yet also disappointed when the bell rang, a downside was that I would proably have to see Lewis again."
        
        show ella happy at center
        
        e "You were great! C'mon, let's go meet Lewis."
        
        r "Oh, joy."
        
        "I hoped she hadn't heard, but she seemed to be engrossed in talking to the teacher. I could hear her from where I stood."
        
        scene bg school corridor
        with fade
        
        "After walking for a bit with Ella, we reached the meeting point. I walked headfirst into Lewis and he grumbled at me."
        
        menu:
        
           "Apologise":
            
               jump lewislike1
            
           "Don't apologise":
            
               jump lewisdislike1
            
        label lewislike1:
        
           show lewis netural at center
        
           r "S-sorry. I didn't see you there."
        
           show lewis laugh at center
        
           l "Maybe you need glasses!"
        
           show ella shocked at left
        
           e "Lewis! Stop heckling people!"
        
           show harper smile at right
        
           show lewis netural at center
        
           u3 "He's been doing it all day."
        
           show ella happy at left
        
           e "Nice to see you, Harper."
        
           h "You too, Ella."
        
           "I studied the girl who had just arrived- Harper- she looked a bit like Lewis."
        
           l "Hey, sis!"
        
           "Lewis calling her 'sis' confirmed my assumptions."
        
           h "Who's this?"
        
           r "Oh, I'm a new student around here."
        
           h "What's your name?"
        
           l "Yeah, you haven't told us yet."
        
           r "Oh, I haven't? Sorry. It's %(player_name)s."
        
           e "Nice name."
        
           r "Thanks."
        
           h "Anyway, I have something to show you two. You wanna come, %(player_name)s?"
        
           menu:
            
              "Decline":
            
                jump lewisdislike2
             
              "Accept":
            
                jump lewislike2
              
           label falsepath1:
            
            scene bg forest 1
            with fade
            
            r "Hey, where are you taking me? This isn't school!"
            
            show lewis laugh at center
            
            l "You'll see. Say, I never got to ask you about your name."
            
            r "It's %(player_name)s."
            
            l "Nice! Now, sit down with me. C'mon, don't be shy."
            
            r "Who's shy?"
            
            "Lewis' ears seemed to pick up everything. Grinning, he pulled me down into his lap and rested his arms around my shoulders."
            
            l "You are."
            
            "I couldn't help but tense at his touch."
            
menu:
                
                "Push him off":
                
                  jump neutralpath1
                  
                "Do nothing":
                
                  jump falsepath2
                  
label wrong1:
                
                r "You have to, um... OH! You have to control your temper."
                
                t1 "Partly, but no. You weren't listening, were you? You're lucky you had Ella to help you. After class detention with me, %(player_name)s."
                
                "It was annoying how the teacher knew my name and that Ella had been helping me, but I guessed it was part of the job."
                
                "I shivered slightly in my chair, remembering how her forked tongue had flickered in and out, like a snake's."
                
                "Wait... Hadn't I seen her somewhere before?"
                
                "I didn't pay attention to the rest of the class, there was no point. I just laid my head down on my desk and waited for the bell to go."
                
                "It did and everybody else left the room, including Ella."
                
                show ella sad talk at right
                
                e "See you later then."
                
                hide ella sad talk
                
                "I watched Ella leave as the teacher sat down at her desk."
                
                t1 "On the piece of papaer in front of you, you should write this."
                
                "On the chalkboard the teacher had written 'I must pay more attention in Eryn's lessons, even if they are boring'."
                
                "I was positive that I'd heard a name like that before. Except it had been spelt 'Erin' instead."
                
                "Then it clicked, she was my mother's friend. My mother used to always speak fondly of an 'Erin' and an 'Elena'."
                
                menu:
                    
                  "Ask Eryn about it":
                    
                    jump truepath2
                          
                  "Don't ask":
                        
                    jump neutralpath2
                         
                label funny1:
                    
                    r "Well, I wouldn't know how to control my powers because I don't have any!"
                    
                    "Behind the teacher's back I saw Ella smack her head against her desk in annoyance. On the plus side, the rest of the class was laughing."
                    
                    t1 "I wasn't asking if you had powers, believe or not I don't actually care. I was asking about the topic I had just been teaching, and it appears you weren't listening."
                    
                    t1 "After class detention with me, %(player_name)s."
                    
                    "There were many outraged cries but the teacher silenced them all with a flick of her hand. Ella glared at me and a note landed on my desk."
                    
menu:
                        
                        "Open note":
                            
                             jump falsepathruby1
                             
                        "Don't open note":
                            
                             jump neutralpath3
                             
label lewisdislike1:
                        
                        "I pretended I hadn't noticed, but then he picked me up and pulled me to his face height."
                        
                        "He was going to say something but thankfully Ella interrupted him."
                        
                        show lewis angry at center
                        
                        show ella shocked at left
                        
                        e "LEWIS!! Put %(player_name)s down!"
                        
                        "I didn't question how she knew my name."
                        
                        l "So that's her name."
                        
                        "He dropped me and I staggered to my feet, holding the wall for support."
                        
                        l "You better watch it, runt."
                        
                        "I didn't respond, however I felt a growing anger inside me."
                        
                        show lewis shocked at center
                        
                        l "AH!"
                        
                        "I had just released a small ball of fire at him. Luckily it passed over him, but he still seemed shocked."
                        
                        e "It seems you've just helped %(player_name)s here discover her power."
                        
                        l "Haha. Very funny. That could've burned me!"
                        
                        show ella happy at left
                        
                        e "If it hadn't missed."
                        
                        show harper surprised at right
                        
                        u3 "What was that?!"
                        
                        l "Oh. It was nothing, Harper. Just {i}%(player_name)s{/i} shooting a massive fireball at me!"
                        
                        show ella shocked at left
                        
                        e "It was tiny!"
                        
                        r "Yeah!"
                        
                        h "It doesn't matter about the size! Stop being such a crybaby, Lewis!"
                        
                        l "Okay, so maybe it was tiny. Calm down, sis!"
                        
                        l "Maybe I exaggerated it. And?"
                        
                        "Harper rolled her eyes and sighed."
                        
                        h "Anyway, I have something to show you two. You wanna come, %(player_name)s?"
        
menu:
            
                            "Decline":
            
                              jump lewisdislike2
             
                            "Accept":
            
                               jump lewislike2
                              
label lewisdislike2:
                         
                               
                               r "Sorry, I have things to do."
                               
                               "Lewis looked upset and yet also annoyed at my answer. Only he could manage that look."
                               
                               show harper sad at right
                               
                               h "C'mon, it'll be fun."
                               
                               r "Ugh, fine."
                               
                               show lewis smirk at center
                               
                               show ella happy at left
                               
                               l "That's the spirit."
                               
                               "Lewis lent over and ruffled my hair as I growled at him."
                               
                               jump lewislikea2
                               
label lewislike2:
    
    r "Sure. There's nothing important I need to do."
    
    show harper smile at right
    
    show lewis netural at center
    
    show ella happy at left
    
    h "Yay!"
    
    jump lewislikea2
    
label lewislikea2:
    
    show harper smile at right
    
    h "Come on!"
    
    scene bg pretty
    with fade
    
    r "This place is so pretty..."
    
    show harper smile at right
    
    h "I know, right."
    
    r "Quick question though, are we even allowed to leave school grounds?"
    
    show ella happy at left
    
    e "Of course! What kind of school do you think Croftfall Academy is if it doesn't let students leave the grounds?!"
    
    r "It's an academy?"
    
    "I don't remember it ever saying that in the letter I was given..."
    
    show lewis shocked at center
    
    l "Yes! How did you not know that?"
    
    show lewis smirk at center
    
    "I watched as he laughed before crossing my arms in annoyance."
    
    r "Why do you always belittle me?"
    
    e "I think a more appropriate term would be 'mock'."
    
    r "Stay out of this!"
    
    show ella shocked at left
    
    show lewis shocked at center
    
    l "Now that's just downright rude."
    
    "Lewis scooped me up off my feet and holds me as we fall into the pool of water."
    
    "I struggled to get out of his arms as we sank to the bottom."
    
    "But surprisingly we didn't hit anything- we passed through the rocks."
    
    scene bg pretty2
    with fade
    
    "I pushed myself above water and studied the scene in front of my eyes."
    
    r "Where are we?"
    
    show lewis smirk at right
    
    l "Somewhere speical."
    
    "He lightly touched my nose as he grabbed my hands."
    
    "He pulled us both out of the water and onto the rocks."
    
    r "What about the others?"
    
    l "They can't come down here- they don't have the abilty to manipulate water like I do."
    
    r "Wouldn't that make you one of those Powermental things people always talk about?"
    
    "Lewis laughed at my question."
    
    r "What's so funny?"
    
    l "No, it wouldn't make me a Powermental."
    
    "He pulled me into his lap before continuing."
    
    l "My mother taught me that anybody can have their main secondary powers."
    
    l "My main is Lunar Manipulation- but my mother taught me Water Manipulation."
    
    "He wrapped his arms around me as I reluctantly lent against his chest."
    
    r "Who was your mother?"
    
    l "That's for me to know and you find out."
    
    "After sitting in silence for a few moments, Lewis twisted me around so I was facing him."
    
    "He then proceeded to lean into me, and his lips brushed mine."
    
    menu:
        
        "Refuse":
            jump neutralpath4
            
        "Deepen the kiss":
            jump falsepath4
            
    label neutralpath1:
        
        r "Get off me, you perv! We've only just met!"
        
        show lewis shocked at center
        
        l "Okay! Fine!"
        
        "As I pushed him away he pushed me away so we were both laying in the dirt."
        
        l "Good day and good bye."
        
        hide lewis
        
        "I watched as he walked away. I could barely stand- my legs were shaking that much."
        
        "I clung desperately to a tree to keep myself upright."
        
        r "Damn him."
        
        "I kicked a stone which hit a tree trunk; except it wasn't a tree trunk."
        
        "It was a girl."
        
        show valarie shocked at center
        
        u4 "Hey! That hurt!"
        
        menu:
            
            "Apologise":
                jump neutralpath5
                
            "Don't apologise":
                jump falsepath5
                
        label falsepath2:
            
            "His soft lips brushed against my neck as he leaned in even closer."
            
            "He spun me around so I was facing him and our lips met."
            
            "I was unaware of Ella standing right behind us."
            
            show ella shocked at right
            
            e "Lewis! You've ony just met %(player_name)s! How could you!"
            
            "Lewis quickly pushed me off and onto the dirt ground."
            
            show ella sad at right
            
            show lewis shocked at center
            
            l "It was %(player_name)s's fault! She was the one who started the kiss!"
            
            e "It was you, you player!"
            
            "I watched as Ella ran off, tears in her eyes."
            
            hide ella
            
            r "What was all that about?"
            
            "I pulled myself up as Lewis ignored my question and ran off after Ella."
            
            hide lewis
            
            "I decided it would be best to go back to the academy seeing as the bell for lunch would go soon."
            
            jump falseella1
            
            label truepath2:
                
                r "Hey, Eryn?"
                
                er "Mhmm?"
                
                "She looked up from her desk and the papers she was sorting."
                
                r "Did you used to know a person called Callie?"
                
                er "Yes, why?"
                
                r "S-she's my mother... She used to speak fondly of you and Elena, until..."
                
                "I couldn't continue because my voice wasn't working anymore. I bit down on my lip to stop myself from crying."
                
                "Eryn had moved closer to me as I spoke."
                
                er "I should've recognised you sooner. Say, what happened to your mother?"
                
                "I swallowed and forced the words out."
                
                r "She was killed. By father..."
                
                er "..."
                
                er "I wish I hadn't asked."
                
                "She returned to her desk before talking again."
                
                er "Are you any good at solving mysteries, %(player_name)s?"
                
                r "I must say I've never tried, why?"
                
                er "Just wondering. Take a look at this."
                
                "She threw a piece of balled up paper at me."
                
                "It hit my head before resting on my desk."
                
                "I opened it up and it read:"
                
                "{b}LOINRIDGE ACADEMY MURDERS{/b}
                 {i}Dead bodies were discovered outside the well-known and loved school.{/i}
                 {i}Witnesses are being questioned on the whereabouts of the murderer.{/i}"
                
                "Then in tiny print at the bottom of the sheet it said the date."
                
                r "This is from when my parents were at school!"
                
                er "I know, It still hasn't been solved."
                
                er "Elena's been working nonstop for the past month to solve that case- she's nowhere near close."
                
                er "It's pitiful relly."
                
                er "I've told her so many times there's no hope- but she just won't listen to me."
                
                er "Anyway, you're dismissed. And keep that piece of paper."
                
                "I left the room without saying anything more."
                
                scene bg school corridor
                with fade
                
                show ella shocked at left
                
                show lewis angry at center
                
                l "No! You don't understand, do you?"
                
                e "All I need to know that you took advantage of-"
                
                show ella happy at left
                
                e "Hey, %(player_name)s! I didn't see you there."
                
                r "Hey."
                
                menu:
                    
                    "Tell her about the mystery":
                        jump truepath3
                        
                    "Don't tell her":
                        jump falseella2
                        
                label neutralpath2:
                    
                    "I bit my tongue and started writing down the lines I was meant to write."
                    
                    "I watched Eryn briefly- she was too absorbed in her paperwork to notice me."
                    
                    "At some point I became aware of a knocking at the window- and swiveled around in my seat."
                    
                    "It was Lewis standing with Ella and another girl, trying to get my attention."
                    
                    "I glanced back at Eryn- but she was oblivious to the world."
                    
                    "I held up a finger to tell them to wait a minute."
                    
                    r "Um, excuse me?"
                    
                    er "Yes?"
                    
                    "She hadn't even looked up from what she was doing."
                    
                    r "Uh..."
                    
                    "I needed an excuse, and fast."
                    
                    er "Get on with it then, I don't have all day."
                    
menu:
    
    "Toilet Break excuse":
        jump toiletbreak1
        
    "Something Outside excuse":
        jump so1
        
    "Slip out the door when she's not watching":
        jump sneaky1
        
label falsepathruby1:
    
    "I slowly opened the note and read the contents."
    
    "{i}Hey, nice joke there. I like your style. Wanna meet after school?{/i}"
    
    menu:
        
        "Accept the offer":
            jump falsepathruby2
            
        "Decline":
            jump falsepathruby3
            ## This'll trigger her jumpscare after she leads you out of school the next day, ending the game
            
    label neutralpath3:
        
        "I let the note lay there until class was over."
        
        show ella sad talk at right
        
        e "See you later, %(player_name)s."
        
        hide ella
        
        "I watched as she left the classroom, leaving me with the teacher."
        
        "The teacher started flicking through a big manual before realising I was still present."
        
        t1 "Why are you still here?"
        
        r "Uh, because I have a detention?"
        
        t1 "Oh, yes. Right."
        
        "She hastily stood up, dropping the manual on the floor."
        
        "She was about to start writing on the board when the classroom door was flung wide open."
        
        "Lewis fell in as the slammed shut behind him."
        
        show lewis shocked at right
        
        l "I swear this school is haunted."
        
        "I heard him mutter under his breath."
        
        "He looked up at the teacher- who didn't seem too pleased at seeing him."
        
        show lewis netural at right
        
        l "Ahah! Eryn, there you are! My favourite teacher."
        
        er "You flatter me."
        
        "She spoke in a very flat tone."
        
        l "I was just wondering- do you know where my mother is? She's usually in this classroom."
        
        er "Well she's not now."
        
        l "But-"
        
        er "Look, I have no time whatsoever for this. I have a detention to run, now get out!"
        
        l "Oh, alright! Jeez."
        
        hide lewis
        
        "He stormed out of the room, slamming the door behind him."
        
        er "Lewis, Lewis, Lewis,"
        
        "Eryn tuttered before writing on the board with chalk."
        
        "The dust flaked all over her clothes and her hair, covering her in a thin film of whiteness."
        
        er "On the piece of papaer in front of you, you should write this."
                
        "On the chalkboard Eryn had written 'I must not joke around in Eryn's lessons, it annoys her'."
        
        "I inwardly groaned as I started copying down the sentence on the board."
        
        "There was a tapping on the window so I looked over, and saw Lewis there- grinning stupidly."
        
        "He had Ella and another girl there next to him."
        
        "I glanced back at Eryn- but she was oblivious to the world."
                    
        "I held up a finger to tell them to wait a minute."
                    
        r "Um, excuse me?"
                    
        er "Yes?"
                    
        "She hadn't even looked up from what she was doing."
                    
        r "Uh..."
                    
        "I needed an excuse, and fast."
                    
        er "Get on with it then, I don't have all day."
                    
menu:
    
    "Toilet Break excuse":
        jump toiletbreak2
        
    "Something Outside excuse":
        jump so2
        
    "Slip out the door when she's not watching":
        jump sneaky2
                
    # This ends the game.

return
